@import '@styles/variables';

.info {
  @include custom-min-width($md) {
    display: grid;
    grid-template-columns: repeat(2, max-content) 1fr;
    row-gap: 19px;
    column-gap: 24px;
  }
}

.lang {
  text-transform: capitalize;
  display: flex;
  column-gap: 16px;

  @include custom-min-width($md) {
    font-size: 12px;
    grid-row: 1 / 2;
    grid-column: 1 / 2;
    height: max-content;
  }
}

.terms {
  display: block;
  text-transform: capitalize;
  margin-top: 16px;

  @include custom-min-width($md) {
    font-size: 12px;
    grid-row: 1 / 2;
    grid-column: 2 / 3;
    margin-top: 0;
  }
}

.secure {
  display: grid;
  text-transform: capitalize;
  row-gap: 16px;
  margin-top: 16px;

  @include custom-min-width($md) {
    grid-row: 1 / 3;
    grid-column: 3 / 4;
    justify-items: end;
    margin-top: 0;
  }
}

.text {
  @include custom-min-width($md) {
    font-size: 12px;
  }
}

.icons {
  display: flex;
  justify-content: space-between;
  align-items: center;

  @include custom-min-width($md) {
    column-gap: 32px;
  }
}

.rights {
  font-size: 12px;
  text-align: center;
  margin-top: 24px;

  @include custom-min-width($md) {
    grid-row: 2 / 3;
    grid-column: 1 / 3;
    margin-top: 0;
  }
}
